Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Approval
  • Customer
  • Customer Request
  • Customer Transition
  • Jira Service Management Application
  • Organization
  • Organization Service Desk
  • Portals
  • Queue
  • Queue Settings
  • Request Attachment
  • Request Type
  • Request Type Permissions
  • Service Desk
  • Service Desk Customer
  • application-properties
  • applicationrole
  • attachment
  • avatar
  • cluster
  • comment
  • component
  • configuration
  • customFieldOption
  • customFields
  • dashboard
  • email-templates
  • field
  • filter
  • group
  • groups
  • groupuserpicker
  • index
  • index-snapshot
  • issue
  • issueLinkType
  • issuesecurityschemes
  • issuetype
  • issuetypescheme
  • jql
  • licenseValidator
  • monitoring
  • mypermissions
  • mypreferences
  • myself
  • notificationscheme
  • password
  • permissions
  • permissionscheme
  • priority
  • priorityschemes
  • project
  • projectCategory
  • projects
  • projectvalidate
  • reindex
  • resolution
  • role
  • screens
  • searchLimits
  • securitylevel
  • serverInfo
  • session
  • settings
  • status
  • statuscategory
  • terminology
  • universal_avatar
  • upgrade
  • user
  • version
  • websudo
  • workflow
  • workflowscheme
  • worklog
  • Assets - AQL
  • Assets - Analytics
  • Assets - Archived Objects
  • Assets - Attachments
  • Assets - Comments
  • Assets - Icons
  • Assets - Index Configuration
  • Assets - Object
  • Assets - Object Archive
  • Assets - Object Attribute
  • Assets - Object Connected Tickets
  • Assets - Object Restore
  • Assets - Object Schema
  • Assets - Object Type
  • Assets - Object Type Attribute
  • Assets - Progress
  • Assets - QR Code
  • Assets - Status Types
Server
Jira Service Management / Reference / REST API

avatar

Postman Collection
OpenAPI
GET

Get all system avatars

Returns all system avatars of the given type.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

type

string

Required

Responses

Returns a map containing a list of system avatars. A map is returned to be consistent with the shape of the project/KEY/avatars REST end point.

application/json

AvatarBean
GET/api/2/avatar/{type}/system
1 2 3 4 curl --request GET \ --url 'http://{baseurl}/rest/api/2/avatar/{type}/system' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 { "id": "1000", "owner": "fred", "selected": true }

Rate this page: